#include <stdio.h>
#include <stdlib.h>

int main()
{
    int T,i,j;
    long N[10],M[10],K[10],S[10];
    scanf("%d", &T);

    for(i=0;i<T;i++)
        scanf("%d%d%d",&N[i],&M[i],&K[i]);

    for(i=0;i<T;i++)
        for(j=1;j<=N[i];j++)
            S[i]+=j;
    for(i=0;i<T;i++)
    {
        printf("\n");
        if(S[i]<=M[i])
            printf("Tak");
        else
            printf("Nie");
    }
    return 0;
}